Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.keyboard
Class ScanCodeSets

    java.lang.Object
      dioscuri.module.keyboard.ScanCodeSets

    public class ScanCodeSets

extends java.lang.Object

Class ScanCodeSets Defines three basic sets of scancodes: XT, AT and PS/2. By default scancode set AT is used. Notes: - Not all scancodes are filled in. - Difference between XT and AT is that they use different codes - Difference between XT/AT and PS/2 is that the latter doesn't use make/break codes but rather one code.

Field Summary
`protected char[]` | `translate8042`

Constructor Summary
`ScanCodeSets()`

Method Summary
`protected boolean` | `keyIsPresent(int x, int y, int z)` Returns true iff `x`, `y` and `z` are within the bounds of the three dimensional class variable `String[][][]` `scancodes`, else false.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### translate8042

    protected char[] translate8042

Constructor Detail

### ScanCodeSets

    public ScanCodeSets()

Method Detail

### keyIsPresent

    protected boolean keyIsPresent(int x,
                                   int y,
                                   int z)

  Returns true iff `x`, `y` and `z` are within the bounds of the three dimensional class variable `String[][][]` `scancodes`, else false.

  Parameters:
    `x` - the value of the first 'dimension'
    `y` - the value of the second 'dimension'
    `z` - the value of the third 'dimension'
  Returns:
    true iff `x`, `y` and `z` are within the bounds of the three dimensional class variable `String[][][]` `scancodes`, else false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD